Package org.jboss.logmanager.handlers

## Enum SocketHandler.Protocol

- java.lang.Object
- - java.lang.Enum<SocketHandler.Protocol>
  - - org.jboss.logmanager.handlers.SocketHandler.Protocol

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<SocketHandler.Protocol>`

Enclosing class:
  SocketHandler

    public static enum SocketHandler.Protocol
    extends java.lang.Enum<SocketHandler.Protocol>

The type of socket

### Enum Constant Summary

Enum Constants
`SSL_TCP` Transport Layer Security over TCP
`TCP` Transmission Control Protocol
`UDP` User Datagram Protocol

### Method Summary

All Methods Static Methods Concrete Methods
`static SocketHandler.Protocol` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SocketHandler.Protocol[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TCP

    public static final SocketHandler.Protocol TCP

Transmission Control Protocol

#### UDP

    public static final SocketHandler.Protocol UDP

User Datagram Protocol

#### SSL_TCP

    public static final SocketHandler.Protocol SSL_TCP

Transport Layer Security over TCP

### Method Detail

#### values

    public static SocketHandler.Protocol[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SocketHandler.Protocol c : SocketHandler.Protocol.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SocketHandler.Protocol valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null